Draft Circle/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 11: Line 11:
</div>
</div>


This tool works the same way as the [[Draft Arc]] tool, except that it creates a full circumference. To draw an ellipse use [[Draft Ellipse]].
This tool works the same way as the [[Draft Arc|Draft Arc]] tool, except that it creates a full circumference. To draw an ellipse use [[Draft Ellipse|Draft Ellipse]].


[[Image:Draft_Circle_example.jpg|400px]]
[[Image:Draft_Circle_example.jpg|400px]]
Line 25: Line 25:
</div>
</div>


The circle can be edited by double clicking on the element in the tree view, or by pressing the {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit]]}} button. Then you can move the center and radius points to a new position.
The circle can be edited by double clicking on the element in the tree view, or by pressing the {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit|Draft Edit]]}} button. Then you can move the center and radius points to a new position.


The circle can be turned into an arc after creation, by setting its first angle and last angle properties to different values.
The circle can be turned into an arc after creation, by setting its first angle and last angle properties to different values.
Line 56: Line 56:
* {{PropertyData|Radius}}: specifies the radius of the circle.
* {{PropertyData|Radius}}: specifies the radius of the circle.
* {{PropertyData|Make Face}}: specifies if the Circle makes a face or not. If it is {{TRUE}} a face is created, otherwise only the circumference is considered part of the object. This property only works if the shape is a full circumference.
* {{PropertyData|Make Face}}: specifies if the Circle makes a face or not. If it is {{TRUE}} a face is created, otherwise only the circumference is considered part of the object. This property only works if the shape is a full circumference.
:For it to be a full circle {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} should have the same value; otherwise, a [[Draft Arc]] is displayed. The values 0&#176; and 360&#176; aren't considered the same, so if these two values are used, the circle will not form a face.
:For it to be a full circle {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} should have the same value; otherwise, a [[Draft Arc|Draft Arc]] is displayed. The values 0&#176; and 360&#176; aren't considered the same, so if these two values are used, the circle will not form a face.


===View===
===View===
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the circle. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern|Draft Pattern]] with which to fill the face of the circle. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern|Draft Pattern]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 67: Line 67:
</div>
</div>


The Circle tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Circle tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:


{{Code|code=
{{Code|code=

Revision as of 15:42, 25 September 2019

Cerc

poziția meniului
Draft → Circle
Ateliere
Draft, Arch
scurtătură
C I
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Arc

Descriere

Instrumentul Circle creează un cerc în work plane introducând două puncte, centrul și raza sau prin selectarea de tangente sau orice combinație a acestora. Este nevoie de linewidth and color setată anterior pe fila Activități. Acest instrument funcționează la fel ca instrumentul Draft Arc, cu excepția faptului că se oprește după introducerea razei.

This tool works the same way as the Draft Arc tool, except that it creates a full circumference. To draw an ellipse use Draft Ellipse.

Cum se utilizează

  1. Apăsați butonul Draft Circle sau apăsați tastele L apoi I
  2. Faceți clic pe un prim punct din vizualizarea 3D sau tastați un coordinate
  3. Faceți clic pe un al doilea punct din vizualizarea 3D sau tastați valoarea razei

The circle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit button. Then you can move the center and radius points to a new position.

The circle can be turned into an arc after creation, by setting its first angle and last angle properties to different values.

Opțiuni

  • O primă utilizarea a instrumentului cerc constă în alegerea a două puncte, centrul și un punct de pe circumferință, definind raza.
  • Prin apăsarea tastei ALT, puteți selecta o tangentă în loc să alegeți un punct. Prin urmare, puteți construi mai multe tipuri de cercuri selectând una, două sau trei tangente.
  • Pentru a introduce manual coordonatele, pur și simplu introduceți numerele, apoi apăsați ENTER între fiecare componentă X, Y și Z.
  • Apăsați tasta T sau faceți clic pe caseta de selectare pentru a bifa/debifa butonul Continue. Dacă modul continuat este activat, instrumentul Cerc va reporni după ce dați cel de-al doilea punct, permițându-vă să desenați un alt cerc fără să apăsați din nou butonul Cerc.
  • Apăsați CTRL în timp ce desenați pentru a forța snapping punctul dvs. către cea mai apropiată locație, independent de distanța.
  • Apăsați SHIFT în timp ce desenați constrain al doilea punct pe orizontală sau pe verticală în raport cu primul punct.
  • Apăsați butonul I sau butonul Completat pentru a avea cercul umplut cu o fațetă.
  • Apăsați butonul ESC sau butonul Anulare pentru a întrerupe comanda curentă.
  • Cercul poate fi transformat într-un arc după creare, prin setarea proprietăților sale unghi și ultimul unghi la valori diferite.
  • Cercurile, în modul de afișare "Flat Lines", pot afișa un model de hașurare, prin setarea proprietății "Pattern" de mai jos.

Proprietăți

  • DATERadius: Raza cercului
  • DATEMake Face: Umple cercul cu fațetă
  • VEDEREPattern: Specifică modelul de hașură pentru a umple filamentul cu el
  • VEDEREPattern Size: Specifică mărimea modelului de hașură

Data

  • DateFirst Angle: specifies the starting angle of the circle; normally 0°.
  • DateLast Angle: specifies the ending angle of the circle; normally 0°.
  • DateRadius: specifies the radius of the circle.
  • DateMake Face: specifies if the Circle makes a face or not. If it is true a face is created, otherwise only the circumference is considered part of the object. This property only works if the shape is a full circumference.
For it to be a full circle DateFirst Angle and DateLast Angle should have the same value; otherwise, a Draft Arc is displayed. The values 0° and 360° aren't considered the same, so if these two values are used, the circle will not form a face.

View

  • VizualizarePattern: specifies a Draft Pattern with which to fill the face of the circle. This property only works if DateMake Face is true, and if VizualizareDisplay Mode is "Flat Lines".
  • VizualizarePattern Size: specifies the size of the Draft Pattern.

Script-Programre

Unealta Cerc poate fi folosită în macro-uri şi de la consola Python cu ajutorul funcţiei următoare:

The Circle tool can be used in macros and from the Python console by using the following function:

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Creează un obiect tip cerc cu o rază dată.
  • Dacă este dată o destinație de plasare, este utilizată. În cazul în care facemode este Fals, cercul este afișat ca un cadru tip filament, altfel ca o fațetă.
  • În cazul în care sunt date unghi de început și de sfârșit de capăt (în grade), ele sunt utilizate și obiectul apare ca un arc de cerc.
  • Returnează obiectul nou creat.

Exempluː

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)